function CrimeSpreeMissionsMenuComponent:_set_button_index_selected(idx, selected)
	if not idx then
		return false
	end

	self._selected_button = idx
	local btn = self._buttons[idx]

	if btn then
		btn:set_selected(selected)
		btn:set_active(selected)
		managers.crime_spree:select_mission(selected and btn:mission_id() or false)

		if managers.crime_spree:_is_host() then
			managers.menu_component:post_event("menu_enter")
		end

		if selected then
			managers.crime_spree:send_crime_spree_mission_data(btn:index(), btn:mission_id(), true)
		end
	end
end