function ModifierDozerMinigun:init(data)
	ModifierDozerMinigun.super.init(self, data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	if difficulty_index > 6 then
		return
	end
	local unit_types = tweak_data.group_ai.unit_categories.FBI_tank.unit_types
	local unit_name = Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic")
	CSFixes:make_tables_unique(unit_types)

	table.insert(unit_types.america, unit_name)
	table.insert(unit_types.russia, unit_name)
	table.insert(unit_types.zombie, unit_name)
	table.insert(unit_types.murkywater, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1"))
	table.insert(unit_types.federales, Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_minigun/ene_swat_dozer_policia_federale_minigun"))
end